# Uses of Enum Class
org.eclipse.emf.cdo.security.Access

Packages that use Access
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.

## Uses of Access in org.eclipse.emf.cdo.security

Fields in org.eclipse.emf.cdo.security with type parameters of type Access
Modifier and Type
Field
Description
`static final List<Access>`
Access.`VALUES`
A public read-only list of all the 'Access' enumerators.
Methods in org.eclipse.emf.cdo.security that return Access
Modifier and Type
Method
Description
`static Access`
Access.`get(int value)`
Returns the 'Access' literal with the specified integer value.
`static Access`
Access.`get(String literal)`
Returns the 'Access' literal with the specified literal value.
`Access`
Permission.`getAccess()`
Returns the value of the 'Access' attribute.
`static Access`
Access.`getByName(String name)`
Returns the 'Access' literal with the specified name.
`Access`
Realm.`getDefaultAccess()`
Returns the value of the 'Default Access' attribute.
`Access`
User.`getDefaultAccess()`
Returns the value of the 'Default Access' attribute.
`Access`
User.`getDefaultAccessOverride()`
Returns the value of the 'Default Access Override' attribute.
`static Access`
Access.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Access[]`
Access.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.security with parameters of type Access
Modifier and Type
Method
Description
`ClassPermission`
SecurityFactory.`createClassPermission(EClass eClass, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission(Access, PermissionFilter...)` and `SecurityFactory.createClassFilter(EClass)`.
`FilterPermission`
SecurityFactory.`createFilterPermission(Access access, PermissionFilter... filters)`
`PackagePermission`
SecurityFactory.`createPackagePermission(EPackage ePackage, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission(Access, PermissionFilter...)` and `SecurityFactory.createPackageFilter(EPackage)`.
`Realm`
SecurityFactory.`createRealm(String name, Access defaultAccess)`
`ResourcePermission`
SecurityFactory.`createResourcePermission(String pattern, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission()` and `SecurityFactory.createResourceFilter(String)`.
`void`
Permission.`setAccess(Access value)`
Sets the value of the '`Access`' attribute.
`void`
Realm.`setDefaultAccess(Access value)`
Sets the value of the '`Default Access`' attribute.
`void`
User.`setDefaultAccessOverride(Access value)`
Sets the value of the '`Default Access Override`' attribute.

## Uses of Access in org.eclipse.emf.cdo.security.impl

Fields in org.eclipse.emf.cdo.security.impl declared as Access
Modifier and Type
Field
Description
`static final Access`
SecurityFactoryImpl.`DEFAULT_PERMISSION`
Methods in org.eclipse.emf.cdo.security.impl that return Access
Modifier and Type
Method
Description
`Access`
SecurityFactoryImpl.`createAccessFromString(EDataType eDataType, String initialValue)`
`Access`
SecurityFactoryImpl.`createAccessObjectFromString(EDataType eDataType, String initialValue)`
`Access`
PermissionImpl.`getAccess()`
`Access`
RealmImpl.`getDefaultAccess()`
`Access`
UserImpl.`getDefaultAccess()`
`Access`
UserImpl.`getDefaultAccessOverride()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type Access
Modifier and Type
Method
Description
`ClassPermission`
SecurityFactoryImpl.`createClassPermission(EClass eClass, Access access)`
Deprecated.
`FilterPermission`
SecurityFactoryImpl.`createFilterPermission(Access access, PermissionFilter... filters)`
`PackagePermission`
SecurityFactoryImpl.`createPackagePermission(EPackage ePackage, Access access)`
Deprecated.
`Realm`
SecurityFactoryImpl.`createRealm(String name, Access defaultAccess)`
`ResourcePermission`
SecurityFactoryImpl.`createResourcePermission(String pattern, Access access)`
Deprecated.
`void`
PermissionImpl.`setAccess(Access newAccess)`
`void`
RealmImpl.`setDefaultAccess(Access newDefaultAccess)`
`void`
UserImpl.`setDefaultAccessOverride(Access newDefaultAccessOverride)`

## Uses of Access in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Access
Modifier and Type
Method
Description
`boolean`
SecurityValidator.`validateAccess(Access access, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
SecurityValidator.`validateAccessObject(Access accessObject, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of Access in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type Access
Modifier and Type
Method
Description
`protected void`
AnnotationHandler.`handleClassPermission(Realm realm, EClass eClass, String key, Access access)`
`protected void`
AnnotationHandler.`handlePackagePermission(Realm realm, EPackage ePackage, String key, Access access)`
`protected void`
AnnotationHandler.`handlePermission(Realm realm, EModelElement modelElement, String key, Access access, EClass filterClass, EReference filterFeature)`